Jump to content


Wizard

Member Since 10 Nov 2017
Offline Last Active Private
-----

Topics I've Started

Is support for PHP 7.2 going to happen?

10 November 2017 - 01:10 PM

PHP 7.2 is around the corner and the current controller doesn't recognise it, because "Select PHP version" menu has hardcoded values up to PHP 7.1.

I tried to manually edit "us_user.ini" to have the line "PHP_SELECT=php72", but it didn't work.

Besides, PHP 7.2 needs VC++ 2017 runtime and "PHP Modules Enable/Disable" wouldn't work anyway because the syntax in module loading is changed ("extension=gd2" instead of "extension=php_gd2.dll").

So, current controller needs modification for PHP 7.2.

Taking in fact that no update has been made for many months, is support for PHP 7.2 going to happen or should I look for other software?

I understand if the project is frozen indefinitely, however I would appreciate an official response and not be left just abandoned.